Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566731 (CVE-2018-9304) - CVE-2018-9304 exiv2: divide by zero in BigTiffImage::printIFD in bigtiffimage.cpp
Summary: CVE-2018-9304 exiv2: divide by zero in BigTiffImage::printIFD in bigtiffimage...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9304
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566727 1566738
Blocks: 1566728
TreeView+ depends on / blocked
 
Reported: 2018-04-12 21:30 UTC by Laura Pardo
Modified: 2021-02-17 00:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 11:55:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1577 0 None None None 2020-04-28 15:27:06 UTC

Description Laura Pardo 2018-04-12 21:30:26 UTC
A flaw was found in Exiv2 0.26, a divide by zero in BigTiffImage::printIFD in bigtiffimage.cpp could result in denial of service.


References:
https://github.com/Exiv2/exiv2/issues/262
https://github.com/xiaoqx/pocs/blob/master/exiv2/readme.md

Comment 1 Laura Pardo 2018-04-12 21:42:15 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1566727]

Comment 3 Riccardo Schirone 2018-04-18 11:55:39 UTC
Statement:

This issue did not affect the versions of Exiv2 as shipped with Red Hat Enterprise Linux 6 and 7 as they did not include support for BigTIFF images.

Comment 5 errata-xmlrpc 2020-04-28 15:27:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1577 https://access.redhat.com/errata/RHSA-2020:1577


Note You need to log in before you can comment on or make changes to this bug.